;;;; $Id: cliki-bot.asd 51 2004-07-27 20:39:42Z bmastenbrook $
;;;; $Source$

;;;; See the LICENSE file for licensing information.

(in-package #:cl-user)

(defpackage #:cliki-bot-system
    (:use #:cl #:asdf))

(in-package #:cliki-bot-system)

(defsystem cliki-bot
    :name "cliki-bot"
    :author "Brian Mastenbrook"
    :version "0.1.0"
    :licence "MIT"
    :description "IRC bot for SBCL"
    :depends-on
      (:cl-irc :cl-ppcre :split-sequence)
    :properties ((#:author-email . "cl-irc-devel@common-lisp.net")
                 (#:date . "$Date: 2004-07-27 20:39:42 +0000 (Tue, 27 Jul 2004) $")
                 ((#:albert #:output-dir) . "doc/api-doc/")
                 ((#:albert #:formats) . ("docbook"))
                 ((#:albert #:docbook #:template) . "book")
                 ((#:albert #:docbook #:bgcolor) . "white")
                 ((#:albert #:docbook #:textcolor) . "black"))
    :components ((:file "mp2eliza")
                 (:file "eliza-rules"
                        :depends-on ("mp2eliza"))
                 (:file "cliki"
                        :depends-on ("mp2eliza"))))
